Page MenuHomePhabricator

WikibaseRepo should use the SidebarBeforeOutput hook instead of BaseTemplateToolbox
Closed, ResolvedPublic

Description

The BaseTemplateToolbox hook is being deprecated (T253416).

The SidebarBeforeOutput hook now includes the toolbox so that hook can be used to add to this array instead

As a consequence, WikibaseRepo will no longer need to use SkinTemplateBuildNavUrlsNav_urlsAfterPermalink hook, so this will at the same time also fix T254431 for Wikibase part.

Event Timeline

Ammarpad claimed this task.Jun 2 2020, 6:31 AM

Change 601942 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Wikibase@master] Use SidebarBeforeOutput hook to add Wikibase Concept URI sidebar link.

https://gerrit.wikimedia.org/r/601942

Ammarpad updated the task description. (Show Details)Jun 4 2020, 8:02 AM
Ammarpad renamed this task from Wikibase should use the SidebarBeforeOutput hook instead of BaseTemplateToolbox to WikibaseRepo should use the SidebarBeforeOutput hook instead of BaseTemplateToolbox.Jun 4 2020, 2:33 PM
Jdlrobson triaged this task as High priority.Jun 5 2020, 8:51 PM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jun 9 2020, 5:15 PM

Change 601942 abandoned by Ammarpad:
Use SidebarBeforeOutput hook to add Wikibase Concept URI sidebar link.

Reason:
Superseded by I4fedcdcdcd5f0146d97f2ceb9a22dbec83e58cef

https://gerrit.wikimedia.org/r/601942

Change 604530 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Wikibase@master] Use SidebarBeforeOutput hook to add Wikibase Concept URI sidebar link.

https://gerrit.wikimedia.org/r/604530

After the change the concept UI (highlighted) remains in the menu for Vector and is restored for Monobook


Change 604530 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use SidebarBeforeOutput hook to add Wikibase Concept URI sidebar link.

https://gerrit.wikimedia.org/r/604530

Jdlrobson closed this task as Resolved.Jun 11 2020, 8:19 PM